import { randomString } from '@/utils'
export function setTourist (list, num, data) {
  // console.log('ddddata', data, list)
  // 数量为0，不做处理
  if (num === 0) {
    return
  }

  // 数量为负，减少列表数量
  if (num < 0) {
    list.splice(num)
    return
  }

  // 身份证信息
  if (data) {
    // 游客信息
    const tourist = {
      idKey: randomString(),
      guestName: data.Name,
      guestPhone: '',
      guestIdentify: data.IDNumber,
      guestIdentifyType: 'ID_CARD',
      lock: true // 刷卡信息不可编辑
    }

    // 已存在身份证不操作
    let existInfo = list.find(item => {
      return data.IDNumber === item.guestIdentify
    })
    if (existInfo) return

    let index = list.findIndex(item => {
      return item.guestIdentify === ''
    })

    if (index > -1) {
      list.splice(index, 1, {
        ...list[index],
        guestName: data.Name,
        guestIdentify: data.IDNumber
      })
      return
    }

    // // 只有一个游客信息时，刷卡时更新空白信息
    // if (list.length === 1 && list[0].guestIdentify === '') {
    //   list.splice(0, 1, tourist)
    //   return
    // }

    // 加入列表
    list.push(tourist)
    return
  }

  for (let i = 0; i < num; i++) {
    list.push({
      idKey: randomString(),
      guestName: '',
      guestPhone: '',
      guestIdentify: '',
      guestIdentifyType: 'ID_CARD',
      lock: false // 是否可编辑
      // _travellerType: 0
    })
  }
}
